/** @file
 * $Source: /home/cvsmanager/yoda/event/physics/neutronDetector/NeutronEvent.cpp,v $
 * $Id: NeutronEvent.cpp,v 5.1 2006/02/04 12:37:44 kusanagi Exp $
 * $Author: kusanagi $
 * 
 * Implementation of the NeutronEvent class.
 */
#include "NeutronEvent.h"

using namespace pamela::neutron;
TClonesArray *NeutronEvent::fgRecords = 0;

NeutronEvent::NeutronEvent(void): SubPacket("Neutron", PacketType::Physics, SubDetector::Neutron) {
if (!fgRecords) fgRecords = new TClonesArray("pamela::neutron::NeutronRecord", 10);
   Records = fgRecords;
}

NeutronEvent::~NeutronEvent(void) {
}
ClassImp(NeutronEvent)
